package m05bClasses.m05bDokusi.models;

public class T65BSignature {

	T65BDocumentID signedDocumentId;
	String signature;
	T65BSignatureInfo[] signatureInfoList;
	String date;
	String type;
	String is_conservable;
	String document_is_requiered;
	String signature_type;
	String signature_format;
	String signature_profile;
	String timestamp_serial_number;
	T65BFormat format;


	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getDocument_is_requiered() {
		return document_is_requiered;
	}
	public void setDocument_is_requiered(String document_is_requiered) {
		this.document_is_requiered = document_is_requiered;
	}
	public T65BFormat getFormat() {
		return format;
	}
	public void setFormat(T65BFormat format) {
		this.format = format;
	}
	public String getIs_conservable() {
		return is_conservable;
	}
	public void setIs_conservable(String is_conservable) {
		this.is_conservable = is_conservable;
	}
	public String getSignature() {
		return signature;
	}
	public void setSignature(String signature) {
		this.signature = signature;
	}
	public String getSignature_format() {
		return signature_format;
	}
	public void setSignature_format(String signature_format) {
		this.signature_format = signature_format;
	}
	public String getSignature_profile() {
		return signature_profile;
	}
	public void setSignature_profile(String signature_profile) {
		this.signature_profile = signature_profile;
	}
	public String getSignature_type() {
		return signature_type;
	}
	public void setSignature_type(String signature_type) {
		this.signature_type = signature_type;
	}
	public T65BSignatureInfo[] getSignatureInfoList() {
		return signatureInfoList;
	}
	public void setSignatureInfoList(T65BSignatureInfo[] signatureInfoList) {
		this.signatureInfoList = signatureInfoList;
	}
	public T65BDocumentID getSignedDocumentId() {
		return signedDocumentId;
	}
	public void setSignedDocumentId(T65BDocumentID signedDocumentId) {
		this.signedDocumentId = signedDocumentId;
	}
	public String getTimestamp_serial_number() {
		return timestamp_serial_number;
	}
	public void setTimestamp_serial_number(String timestamp_serial_number) {
		this.timestamp_serial_number = timestamp_serial_number;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
}